get_filename_component(DIR_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME)
#file(GLOB cpp_sources_from_dir "*.cpp")
#add_library(${DIR_NAME} ${cpp_sources_from_dir})
#target_include_directories(${DIR_NAME} PUBLIC "${CMAKE_SOURCE_DIR}/src/${DIR_NAME}")

#add_library(${DIR_NAME} imgui.cpp)
#target_include_directories(${DIR_NAME} INTERFACE ${CMAKE_SOURCE_DIR}/ExternalLibs/imgui-docking/ ${CMAKE_SOURCE_DIR}/ExternalLibs/imgui-docking/backends/)
add_library(${DIR_NAME} imgui_impl_sdl.cpp imgui_impl_sdlrenderer.cpp)
#target_include_directories(${DIR_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/ExternalLibs/imgui-docking ${CMAKE_SOURCE_DIR}/ExternalLibs/imgui-docking/backends>)
target_include_directories(${DIR_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/ExternalLibs/imgui-docking> )
#target_include_directories(${DIR_NAME} PUBLIC $<BUILD_INTERFACE:..>)





